import numpy, cv2, cam_model

cap = cv2.VideoCapture(1)

K = numpy.loadtxt('K.txt')
dist = numpy.loadtxt('distCoef.txt')

patw, path = 7, 6
objp = numpy.zeros((patw*path, 3), numpy.float32)
for i in range(patw*path):
    objp[i,:2] = numpy.array([i % patw, numpy.floor(i / patw)])
#objp[:,:2] = numpy.mgrid[0:patw,0:path].T.reshape(-1,2)
 
while 1:
    stat, image = cap.read(0)
    image = cv2.resize(image, ((int)(image.shape[1]/2), (int)(image.shape[0]/2)))

    retval, centers = cv2.findCirclesGrid(image, (patw, path))

    if retval == True:
        ret, rvec, tvec = cv2.solvePnP(objp, centers, K, dist)
        Rmat, jac = cv2.Rodrigues(rvec)
        cam_model.draw_cube(image, K, numpy.array([[0.0,0.0,0.0]], float).T,\
                  3.0, Rmat, tvec)
        
    cv2.imshow('Camera', image)
    key = cv2.waitKey(10)

    if key == 0x1b: # ESC
        break

cap.release()
cv2.destroyAllWindows()




